Name: ssh-installkeys
Version: 1.2
Release: 1
URL: http://www.catb.org/~esr/ssh-installkeys/
Source0: %{name}-%{version}.tar.gz
License: GPL 
Group: Applications/System
Requires: python2
Summary: installs ssh public keys on remote servers
BuildRoot: %{_tmppath}/%{name}-root

%description
This script tries to export ssh public keys to a specified site.  It will
walk you through generating key pairs if it doesn't find any to export.
It handles all the fiddly details like making sure local and remote
permissions are correct, and tells you what it's doing if it has to change
anything.

%prep
%setup -q

%build
make ssh-installkeys.1

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}
mkdir -p "$RPM_BUILD_ROOT"%{_mandir}/man1/
cp ssh-installkeys "$RPM_BUILD_ROOT"%{_bindir}
cp ssh-installkeys.1 "$RPM_BUILD_ROOT"%{_mandir}/man1/

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%doc README COPYING
%defattr(-,root,root,-)
%{_mandir}/man1/ssh-installkeys.1*
%{_bindir}/ssh-installkeys

%changelog
* Thu Jan  8 2004 Eric S. Raymond <esr@snark.thyrsus.com> 1.2-1
- No longer hangs when host is missing from .ssh/known_hosts.

* Tue Dec 30 2003 Eric S. Raymond <esr@snark.thyrsus.com> 1.1-1
- Fixed typo in help option code.

* Mon Dec 29 2003 Eric S. Raymond <esr@snark.thyrsus.com> 1.0-1
- Initial release.

